Get Inference Usage Attribution
Returns inference request and token usage for this Edge grouped by the selected attribution dimension.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
The bucket field.
TB_TIME_BUCKET_UNSPECIFIED, TB_TIME_BUCKET_HOUR, TB_TIME_BUCKET_DAY The dimension field.
TB_USAGE_ATTRIBUTION_DIMENSION_UNSPECIFIED, TB_USAGE_ATTRIBUTION_DIMENSION_TEAM, TB_USAGE_ATTRIBUTION_DIMENSION_APPLICATION, TB_USAGE_ATTRIBUTION_DIMENSION_AGENT, TB_USAGE_ATTRIBUTION_DIMENSION_COST_CENTER The pageSize field.
The pageToken field.
The since field.
The until field.
Response
Successful response
The EdgeServiceGetInferenceUsageAttributionResponse message.
Ordered by (input_tokens + output_tokens) descending, limited to page_size.